/**
 * Mapasuta
 *
 * Copyright (C) 2006 Dominik Winter
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 **/
package net.sf.mapasuta.build.maven.plugin.oaw;

/**
 * Runs a workflow file in unit tests.
 * 
 * @author Dominik Winter
 * @goal run-test-workflow
 * @phase generate-test-sources
 * @requiresDependencyResolution test
 */
public final class OpenArchitectureWareTestMojo extends AbstractOawMojo
{

   /**
    * Test output directory.
    * 
    * Will be automagically added as property "outputDir" to the workflow parameters to be used for the default outlet.
    * 
    * @parameter expression="${project.build.directory}/generated-test-sources/maven-oaw-plugin/"
    * @required
    */
   private String testOutputDir = null;
   
   /* (non-Javadoc)
    * @see mapasuta.build.maven.plugin.oaw.AbstractOawMojo#getOutputDir()
    */
   protected String getOutputDir()
   {
      return testOutputDir;
   }
   
   protected final void setTestOutputDir(String outputDir)
   {
      testOutputDir = outputDir;
   }

   /* (non-Javadoc)
    * @see mapasuta.build.maven.plugin.oaw.AbstractOawMojo#setSourceRoot(java.lang.String)
    */
   protected void setSourceRoot(String sourceRoot)
   {
      if (getProject() != null)
         getProject().addTestCompileSourceRoot(sourceRoot);
   }
}
